org.apache.maven.plugin.install

## Class InstallMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.plugin.install.AbstractInstallMojo
    - - org.apache.maven.plugin.install.InstallMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      @Mojo(name="install",
            defaultPhase=INSTALL,
            threadSafe=true)
      public class InstallMojo
      extends AbstractInstallMojo

  Installs the project's main artifact, and any other artifacts attached by other plugins in the lifecycle, to the local repository.
  Version:
    $Id: InstallMojo.java 1617120 2014-08-10 15:15:48Z khmarbaise $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `packaging` Deprecated. either use project.getPackaging() or reactorProjects.get(i).getPackaging()

    - ### Fields inherited from class org.apache.maven.plugin.install.AbstractInstallMojo

      `artifactFactory, createChecksum, digester, installer, localRepository, updateReleaseInfo`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstallMojo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `void` | `setSkip(boolean skip)`

    - ### Methods inherited from class org.apache.maven.plugin.install.AbstractInstallMojo

      `addMetaDataFilesForArtifact, getLocalRepoFile, getLocalRepoFile, installChecksums, installChecksums`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### packaging

          @Parameter(defaultValue="${project.packaging}",
                     required=true,
                     readonly=true)
          protected String packaging

      Deprecated. either use project.getPackaging() or reactorProjects.get(i).getPackaging()

  - ### Constructor Detail

    - #### InstallMojo

          public InstallMojo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### setSkip

          public void setSkip(boolean skip)

Copyright © 2004–2015. All rights reserved.